/****************************************************************************
    Qt-LCoV Library Editor for Qt-BSch3V
    Copyright (C) 2002-2005 H.Okada

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*****************************************************************************/

#include <qlineedit.h>
#include <qstring.h>

#include "proppinimpl.h"

SPropPin::SPropPin( QWidget* parent,  const char* name, bool modal, Qt::WFlags fl )
    : prop_pin( parent, name, modal, fl )
{
	m_pNumber=NULL;
	m_currentBlock=1;
}

void SPropPin::changeBlock(int n)
{
//qDebug("SPropPin::changeBlock(int n)  %d",n);
	if(n==m_currentBlock) return;
	m_pNumber[m_currentBlock-1]=editNumber->text();
	editNumber->setText(m_pNumber[n-1]);
	m_currentBlock=n;
}
